Get Workflow Execution State
Retrieves the current state for a requested workflow run
Request
URI
GET
https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/state
COPY
Path Parameters
string
workflowId
Required
workflowId
string
executionId
Required
executionId
Responses
200
The request is successful
Returns
ExecutionState
of type(s)
application/json
{
"state": "string"
}
string
state
Optional
state
Possible values are :
canceled,
completed,
running,
suspended,
waiting,
waiting-signal,
failed,
initializing,
401
The user is not authorized
Returns
ExecutionState
of type(s)
application/json
"ExecutionState Object"
string
state
Optional
state
Possible values are :
canceled,
completed,
running,
suspended,
waiting,
waiting-signal,
failed,
initializing,
404
Cannot find a workflow execution with the specified ID
Returns
ExecutionState
of type(s)
application/json
"ExecutionState Object"
string
state
Optional
state
Possible values are :
canceled,
completed,
running,
suspended,
waiting,
waiting-signal,
failed,
initializing,
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/state
Workflow Run Service Operations
GET
Get All Executions For
POST
Start Workflow Execution
GET
Get User Interaction
POST
Answer User Interaction
DELETE
Cancel User Interaction
GET
Get Workflow Execution
DELETE
Delete Workflow Execution
GET
Export Execution Logs 1
GET
Get Workflow Execution Statistics
GET
Get Workflow Execution State
DELETE
Cancel Workflow Execution
GET
Get Workflow Execution Logs